Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncoding.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncoding.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncoding.cs	(revision 14712)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("1C6CDFF8-FC94-47D8-AA2B-0BCCAA29E1A4")]
   public interface IEncoding : IParameterizedNamedItem {
     ISolutionCreator SolutionCreator { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncodingOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncodingOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncodingOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("9D732737-5368-4F00-927B-8C13DF405BD0")]
   public interface IEncodingOperator : IOperator {
     ILookupParameter<IEncoding> EncodingParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiEncodingOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiEncodingOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiEncodingOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("60D1B010-8AB2-49A8-BC12-262A366D9858")]
   public interface IMultiEncodingOperator : IOperator {
     void AddEncoding(IEncoding encoding);
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiObjectiveProblemDefinition.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiObjectiveProblemDefinition.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiObjectiveProblemDefinition.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("BFAD2DA3-73AC-4CB4-96D0-2F4B0E2F2CC5")]
   public interface IMultiObjectiveProblemDefinition : IProblemDefinition {
     bool[] Maximization { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IProblemDefinition.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IProblemDefinition.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IProblemDefinition.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("E41F2599-C0AA-40E8-B58A-4607A48FAFAB")]
   public interface IProblemDefinition {
     IEncoding Encoding { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveMoveOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveMoveOperator.cs	(revision 14712)
@@ -21,4 +21,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("EACD83A2-A089-4C76-BF39-082871EF1A55")]
   public interface ISingleObjectiveMoveOperator : IMoveOperator, ISingleObjectiveOperator {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveProblemDefinition.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveProblemDefinition.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveProblemDefinition.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("DB34F198-345F-44F9-9596-EEA692362ADE")]
   public interface ISingleObjectiveProblemDefinition : IProblemDefinition {
     bool Maximization { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveAnalysisOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveAnalysisOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveAnalysisOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("35848278-CC5C-40D3-AF1E-2EC63F611CFB")]
   internal interface IMultiObjectiveAnalysisOperator : IEncodingOperator, IAnalyzer, IMultiObjectiveOperator {
     Action<Individual[], double[][], ResultCollection, IRandom> AnalyzeAction { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveEvaluationOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveEvaluationOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveEvaluationOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("B2A7C3C7-B81C-440C-9C66-F11FBEDA5CD8")]
   internal interface IMultiObjectiveEvaluationOperator : IMultiObjectiveEvaluator, IEncodingOperator {
     Func<Individual, IRandom, double[]> EvaluateFunc { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/INeighborBasedOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/INeighborBasedOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/INeighborBasedOperator.cs	(revision 14712)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("F02FB7C7-3F43-4598-9B0C-EBE9277FAD0C")]
   internal interface INeighborBasedOperator : IEncodingOperator {
     Func<Individual, IRandom, IEnumerable<Individual>> GetNeighborsFunc { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveAnalysisOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveAnalysisOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveAnalysisOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("C95725DE-76A7-4518-9718-06A1E1BD375D")]
   internal interface ISingleObjectiveAnalysisOperator : IEncodingOperator, ISingleObjectiveOperator {
     Action<Individual[], double[], ResultCollection, IRandom> AnalyzeAction { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveEvaluationOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveEvaluationOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveEvaluationOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Optimization {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("FF426E6A-5F65-461D-9295-274CA25DBE89")]
   internal interface ISingleObjectiveEvaluationOperator : ISingleObjectiveEvaluator, IEncodingOperator {
     Func<Individual, IRandom, double> EvaluateFunc { get; set; }
